{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
{#
vlan batch 100 to 102 120 
quit
vlan 100
 name "VLAN0100-Management"
quit
#}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
{#
interface vlan100
 description VLAN0100-Management
exit
#}
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{#
vlan 100-102,120
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
exit
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
vlan 100
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
name "VLAN0100-Management"
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
exit
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
#}
{% elif ansible_network_os == 'community.network.aruba' %}
{#
vlan database
vlan 100-102,120
vlan name 100 "VLAN0100-Management"
exit
configure terminal
network mgmt_vlan 100
exit
end
#}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
